using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;
using Consulenza.ReportCommon;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    /// <summary>
    /// S38.PatrimonioAziendale idCapitolo = 56
    /// </summary>
    public class S38 : Entity.Chapter
    {       
        public S38(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S38(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            //Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            var testi = GetText();

            var intestazione = new ChapterHeadingPDF(
                testi.Rows[0]["testo1"].ToString(),
                testi.Rows[0]["testo2"].ToString(),
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily);

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());
        }
    }
}
